Draft Array/it: Difference between revisions

From FreeCAD Documentation
(Created page with "Ogni elemento dell'array è un clone esatto dell'oggetto originale, ma l'intero array è considerato una singola unità in termini di proprietà e aspetto.")
No edit summary
 
(97 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav/it|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]|[[Draft_PathArray/it|Schiera su tracciato]]|[[Draft_Module/it|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}


{{Docnav/it
{{GuiCommand/it|Name=Draft_Array|Name/it=Matrice|Workbenches=[[Draft Module/it|Draft]], [[Arch Module/it|Architettura]]|MenuLocation=Draft → Matrice|SeeAlso=[[Draft PathArray/it|Schiera su tracciato]], [[Draft PointArray/it|Schiera su punti]], [[Draft Clone/it|Clone]]}}
|

|
==Descrizione==
|[[Draft_Workbench/it|Draft]]
Lo strumento Matrice crea una schiera (array) ortogonale (3 assi) o polare utilizzando gli oggetti selezionati.
|IconL=

|IconR=
Questo strumento può essere utilizzato su forme 2D create con [[Draft Workbench/it|Draft]] ma può anche essere utilizzato su molti tipi di oggetti 3D come quelli creati con [[Part Workbench/it|Part]] o [[PartDesign Workbench/it|PartDesign]].
|IconC=Workbench_Draft.svg

Per posizionare le copie lungo un percorso utilizzare [[Draft PathArray/it|Schiera su percorso]]; per posizionare le copie in punti specificati usare [[Draft PointArray/it|Schiera su punti]]; per creare copie o cloni e posizionarli manualmente usare [[Draft Move/it|Sposta]], [[Draft Rotate/it|Ruota]], e [[Draft Clone/it|Clona]].

[[Image:Draft_Array_example.jpg|400px]]
{{Caption|Una schiera ortogonale e una schiera polare da un oggetto solido}}

==Utilizzo==
# Selezionare un oggetto con cui si desidera creare una schiera.
# Premere il pulsante {{Button|[[Image:Draft Array.svg|16px]] [[Draft Array/it|Schiera su percorso]]}}. Se nessun oggetto è selezionato, si viene inviti a selezionarne uno.
# L'oggetto Array viene creato immediatamente. È necessario modificare le proprietà della schiera per modificare il numero e la direzione delle copie create.

Ogni elemento dell'array è un clone esatto dell'oggetto originale, ma l'intero array è considerato una singola unità in termini di proprietà e aspetto.

== Options ==

There are no options for this tool. Either it works with the selected object or not.

== Properties ==
* {{PropertyData|Base}}: specifies the object to duplicate in the array.
* {{PropertyData|Array Type}}: specifies the type of array to create, either "ortho" or "polar".
* {{PropertyData|Fuse}}: if it is {{TRUE}}, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:
* {{PropertyData|Interval X}}: specifies the interval between each copy on the X axis.
* {{PropertyData|Interval Y}}: specifies the interval between each copy on the Y axis.
* {{PropertyData|Interval Z}}: specifies the interval between each copy on the Z axis.
* {{PropertyData|Number X}}: specifies the number of copies on the X axis.
* {{PropertyData|Number Y}}: specifies the number of copies on the Y axis.
* {{PropertyData|Number Z}}: specifies the number of copies on the Z axis.

For polar arrays:
* {{PropertyData|Axis}}: specifies the normal direction of the array circle.
* {{PropertyData|Center}}: specifies the center point of the array circle.
* {{PropertyData|Angle}}: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
* {{PropertyData|Number Polar}}: specifies the number of copies to place in the circular arrangement.
* {{PropertyData|Interval Axis}}: specifies the interval between each copy on the {{PropertyData|Axis}} direction.

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if {{PropertyData|Interval X}} is (2 m, 1 m, 1 m), and {{PropertyData|Number X}} is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The {{PropertyData|Interval Axis}} property works in the same way. If the original shape lies on the XY plane, creating a polar array with {{PropertyData|Interval Axis}} (0, 0, z) allows you to make spiral arrangements.

==Script==
{{Emphasis|Vedere anche:}} [[Arch API/it|API Arch]] e [[FreeCAD Scripting Basics/it|Script di base per FreeCAD]].

The Array tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

<div class="mw-translate-fuzzy">
=== Schiera semplice ===
Per le matrici rettangolari:
</div>
{{Code|code=
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)
}}
}}


{{VeryImportantMessage|QUESTO COMANDO È OBSOLETO<br>
To create a rectangular array, use it like this:
Non è disponibile nella {{VersionPlus/it|0.21}}. Utilizzare piuttosto [[Draft_OrthoArray/it|Serie ortogonale]], [[Draft_PolarArray/it|Serie polare]] o [[Draft_CircularArray/it|Serie circolare]].}}
{{Code|code=
array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)
}}


{{GuiCommand/it
<div class="mw-translate-fuzzy">
|Name=Draft Array
Per matrici polari:
|Name/it=Serie
</div>
|Workbenches=[[Draft_Workbench/it|Draft]], [[Arch_Workbench/it|Arch]]
{{Code|code=
|SeeAlso=[[Draft_OrthoArray/it|Serie ortogonale]], [[Draft_PolarArray/it|Serie polare]], [[Draft_CircularArray/it|Serie circolare]]
array_list = array(objectslist, center, totalangle, totalnum)
}}
}}


<span id="Description"></span>
<div class="mw-translate-fuzzy">
==Descrizione==
* Crea una schiera di oggetti contenuti nella lista (che può essere di un oggetto o di un elenco di oggetti) con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x, alla distanza xvector tra le iterazioni, e lo stesso per la direzione y, con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. Nel caso di una serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
* Questa funzione produce copie indipendenti dell'oggetto(i) di base.
</div>


Il comando [[Image:Draft_Array.svg|24px]] '''Draft Array''' crea una serie ortogonale (3 assi) da un oggetto selezionato. La serie creata può essere trasformata in un [[Draft_PolarArray/it|array polare]] o in un [[Draft_CircularArray/it|array circolare]] modificando la sua proprietà {{PropertyData|Array Type}}.
This function internally uses {{incode|Draft.move()}} and {{incode|Draft.rotate()}} with <code>copy=True</code>.


Il comando può essere utilizzato su oggetti 2D creati con [[Draft_Workbench/it|Draft]] o [[Sketcher_Workbench/it|Sketcher]], ma anche su molti oggetti 3D come quelli creati con [[Part_Workbench/it|Part]], [[PartDesign_Workbench/it|PartDesign]] o [[Arch_Workbench/it|Arch]].
Esempio:
{{Code|code=
import FreeCAD, Draft


Questo comando è ormai obsoleto. Utilizzare invece il comando [[Draft_OrthoArray/it|Serie ortogonale]], [[Draft_PolarArray/it|Serie polare]] o [[Draft_CircularArray/it|Serie circolare]].
Rect = Draft.makeRectangle(1500, 500)


<span id="Usage"></span>
array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)
==Utilizzo==
}}


# Per utilizzare questo comando in FreeCAD versione 0.19 e successive è necessario aggiungere un pulsante ad una barra degli strumenti personalizzata. Vedere [[Interface_Customization/it|Personalizzazione dell'interfaccia]].
=== Schiera parametrica ===
# Facoltativamente seleziona un oggetto.
# Premere il pulsante {{Button|[[Image:Draft_Array.svg|16px]] [[Draft_Array/it|Serie]]}}.
# Se non si è ancora selezionato un oggetto: selezionare un oggetto.
# La serie viene creata.
# Eventualmente modificarne le [[Draft_OrthoArray/it#Proprietà|proprietà]].


<span id="Properties"></span>
The basic signature is as follows:
== Proprietà ==
{{Code|code=
Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")
}}


Vedere [[Draft_OrthoArray/it#Proprietà|Serie ortogonale]].
<div class="mw-translate-fuzzy">
Per le schiere rettangolari:
</div>
{{Code|code=
Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")
}}


<span id="Scripting"></span>
<div class="mw-translate-fuzzy">
==Script==
Per le schiere polari:
</div>
{{Code|code=
Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")
}}


Vedere [[Draft_OrthoArray/it#Script|Serie Ortogonale]].
<div class="mw-translate-fuzzy">
* Crea una schiera dall'oggetto dato con, in caso di matrice rettangolare, xnum di iterazioni nella direzione x alla distanza xvector tra le iterazioni, e lo stesso per la direzione y con yvector e ynum, e lo stesso vale per la direzione z con zvector e znum se viene usata tale versione. In caso di serie polare, il centro è un vettore, totalangle è l'angolo a coprire (in gradi) e totalnum è il numero di oggetti, compreso l'originale.
* Il risultato di questa funzione è un oggetto Draft Array parametrico.
</div>


Esempio:
{{Code|code=
import FreeCAD, Draft


{{Docnav/it
Rect = Draft.makeRectangle(1500, 500)
|
xvector = FreeCAD.Vector(1600, 0, 0)
|
yvector = FreeCAD.Vector(0, 600, 0)
|[[Draft_Workbench/it|Draft]]
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)
|IconL=

|IconR=
Tri = Draft.makePolygon(3, 600)
|IconC=Workbench_Draft.svg
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)
}}
}}


{{Draft Tools navi{{#translation:}}}}
{{Docnav/it|[[Draft_Draft2Sketch/it|Da Draft a Sketch]]|[[Draft_PathArray/it|Schiera su tracciato]]|[[Draft_Module/it|Draft]]|IconL=Draft_Draft2Sketch.svg|IconC=Workbench_Draft.svg|IconR=Draft_PathArray.svg}}
{{Userdocnavi{{#translation:}}}}

{{Draft Tools navi/it}}

{{Userdocnavi/it}}
{{clear}}

Latest revision as of 07:06, 24 December 2023

QUESTO COMANDO È OBSOLETO
Non è disponibile nella versione 0.21 e superiori. Utilizzare piuttosto Serie ortogonale, Serie polare o Serie circolare.

Serie

Posizione nel menu
Nessuno
Ambiente
Draft, Arch
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Serie ortogonale, Serie polare, Serie circolare

Descrizione

Il comando Draft Array crea una serie ortogonale (3 assi) da un oggetto selezionato. La serie creata può essere trasformata in un array polare o in un array circolare modificando la sua proprietà DatiArray Type.

Il comando può essere utilizzato su oggetti 2D creati con Draft o Sketcher, ma anche su molti oggetti 3D come quelli creati con Part, PartDesign o Arch.

Questo comando è ormai obsoleto. Utilizzare invece il comando Serie ortogonale, Serie polare o Serie circolare.

Utilizzo

  1. Per utilizzare questo comando in FreeCAD versione 0.19 e successive è necessario aggiungere un pulsante ad una barra degli strumenti personalizzata. Vedere Personalizzazione dell'interfaccia.
  2. Facoltativamente seleziona un oggetto.
  3. Premere il pulsante Serie.
  4. Se non si è ancora selezionato un oggetto: selezionare un oggetto.
  5. La serie viene creata.
  6. Eventualmente modificarne le proprietà.

Proprietà

Vedere Serie ortogonale.

Script

Vedere Serie Ortogonale.